#!/bin/bash

if type npm > /dev/null; then 
  npm i -g typescript typescript-language-server jsctags dockerfile-language-server-nodejs
fi

if type go > /dev/null; then
  go install github.com/sourcegraph/go-langserver@latest
  go install github.com/jstemmer/gotags@latest
  go get -u github.com/cweill/gotests/...
fi

if type rustup > /dev/null; then
  rustup update
  rustup component add rls rust-analysis rust-src
fi
